org.apache.fop.events.model

## Class EventSeverity

- java.lang.Object
- - org.apache.fop.events.model.EventSeverity

- All Implemented Interfaces:
    java.io.Serializable

      public final class EventSeverity
      extends java.lang.Object
      implements java.io.Serializable

  Enumeration class for event severities.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventSeverity` | `ERROR` error level
    `static EventSeverity` | `FATAL` fatal error
    `static EventSeverity` | `INFO` info level
    `static EventSeverity` | `WARN` warning level

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`
    `static EventSeverity` | `valueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFO

          public static final EventSeverity INFO

      info level

    - #### WARN

          public static final EventSeverity WARN

      warning level

    - #### ERROR

          public static final EventSeverity ERROR

      error level

    - #### FATAL

          public static final EventSeverity FATAL

      fatal error

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the enumeration

    - #### valueOf

          public static EventSeverity valueOf(java.lang.String name)

      Returns the enumeration/singleton object based on its name.
      Parameters:
        `name` - the name of the enumeration value
      Returns:
        the enumeration object

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.